<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

/**
 * Process Plugin Migrations; triggered from Admin Notice.
 *
 * @see /init/actions/starfish-admin-notices.action.php
 * @see /js/starfish-admin-general.js
 **/
function srm_start_plugin_migrations() {

	try {
		SRM_MIGRATIONS::execute_pending();
		echo wp_json_encode( array( "msg" => "success" ) );
	}
	catch( Exception $e ) {
		echo wp_json_encode( array( "msg" => "fail" ) );
	}

	wp_die();

}
add_action( 'wp_ajax_starfish-execute-migrations', 'srm_start_plugin_migrations' );

/**
 * Process Restoration of Options; triggered from Admin Funnel or Settings.
 * If $_POST['funnel_id'] is provided then the funnel will be restored to current default values.
 * Otherwise, the current defaults will be restored to original system default values
 *
 * @see /init/actions/starfish-admin-notices.action.php
 * @see /js/starfish-admin-funnel.js
 **/
function srm_restore_options_defaults() {

	$options = $_POST['options'];
	if( isset($_POST['funnel_id']) ) {
		foreach( $options as $option => $args ) {
			update_post_meta( $_POST['funnel_id'], $args['funnel_cf_id'], $args['current'] );
		}
	}
	else {
		foreach( $options as $option => $args ) {
			update_option( $option, stripslashes($args['default']) );
		}
	}
	echo wp_json_encode( array("type" => "success") );
	wp_die();

}
add_action( 'wp_ajax_starfish-execute-restore-default-options', 'srm_restore_options_defaults' );