<?php

/**
 * Admin scripts
 */
function srm_admin_scripts() {

	$version = SRM_VERSION . '.' . wp_rand( 1, 99999999999 );
	global $pagenow, $post;

	$funnel_default_settings = SRM_SETTINGS::srm_get_options( 'defaults');
	foreach ( $funnel_default_settings as $key => $option ) {
		$funnel_default_settings[$key]['current'] = get_option( $key, $option['default'] );
	}

	// Localized Variables
	$admin_settings_variables =  array(
		'defaults' => $funnel_default_settings
	);

	$fa_data = array(
		'has_license' => SRM_FREEMIUS::starfish_fs()->has_active_valid_license()
	);

	$funnel_admin_variables = array(
		'icons' => SRM_FUNNELS::srm_get_icons(),
	);

    // Global: scripts and styles.
    $edit_root = 'edit.php';
    $post_root = 'post.php';
    if ( isset( $post ) && ( 'funnel' === $post->post_type ) && ( ( $post_root === $pagenow ) || ( 'post-new.php' === $pagenow ) ) ||
            ( $edit_root === $pagenow ) && ( isset( $_GET['page'] ) && 'starfish-settings' === $_GET['page'] ) ||
            ( $edit_root === $pagenow ) && ( ( isset( $_GET['post_type'] ) && ( 'starfish_feedback' === $_GET['post_type'] ) ) ) ) {

        wp_enqueue_style( 'wp-jquery-ui' );
        wp_enqueue_script( 'jquery-ui' );
        $wp_scripts = wp_scripts();

        wp_enqueue_style( 'srm_settings', SRM_PLUGIN_URL . '/css/starfish-settings.css', null, $version, false );
        wp_enqueue_style( 'srm_general', SRM_PLUGIN_URL . '/css/starfish-admin-general.css', null, $version, false );
        wp_enqueue_script( 'srm_funnel_bootstrap_js', 'https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js', null, '4.4.1', false );
        wp_enqueue_script( 'srm_general_js', SRM_PLUGIN_URL . '/js/starfish-general.js', null, $version, false );
        wp_enqueue_script( 'srm_admin_general_js', SRM_PLUGIN_URL . '/js/starfish-admin-general.js', null, $version, false );
        wp_enqueue_script( 'srm_freemius_account_js', SRM_PLUGIN_URL . '/js/starfish-admin-freemius-account.js', null, $version, false );
        wp_enqueue_style( 'srm_funnels_admin', SRM_PLUGIN_URL . '/css/starfish-funnel-admin.css', null, $version, false );
        wp_enqueue_style( 'srm_fontawesome', SRM_PLUGIN_URL . '/css/fontawesome.min.css', null, $version, false );
        // Script Localization
        wp_localize_script( 'srm_freemius_account_js', 'fa_data', $fa_data );
    }

	// Funnel: Admin page.
	if ( isset( $post ) && ( 'funnel' === $post->post_type ) &&  ( ( $post_root === $pagenow ) || ( 'post-new.php' === $pagenow ) ) ) {
		$post_id                               = $post->ID;
		$admin_settings_variables['funnel_id'] = $post_id;

		wp_enqueue_script( 'srm_funnel_admin_js', SRM_PLUGIN_URL . '/js/starfish-admin-funnel.js', null, $version, false );
		wp_enqueue_script( 'srm_funnel_admin_multi_destinations_js', SRM_PLUGIN_URL . '/js/starfish-admin-funnel-multidestinations.js', null, $version, false );
		// Script Localization: Admin Funnel.
		wp_localize_script( 'srm_funnel_admin_multi_destinations_js', 'funnel_vars', $funnel_admin_variables );
		wp_localize_script( 'srm_funnel_admin_js', 'settings', $admin_settings_variables );
	}

	// Starfish Settings.
	if ( ( $edit_root === $pagenow ) && ( isset( $_GET['page'] ) && 'starfish-settings' === $_GET['page'] ) ) {
		wp_enqueue_script( 'srm_funnel_admin_settings_js', SRM_PLUGIN_URL . '/js/starfish-admin-settings.js', null, $version, false );
		// Script Localization: Admin Settings.
		wp_localize_script( 'srm_funnel_admin_settings_js', 'settings', $admin_settings_variables );
	}

}
add_action( 'admin_enqueue_scripts', 'srm_admin_scripts', 10, 1 );