<?php

/**
 * Add relevant links to plugins page
 * @param  array $links
 * @return array
 * @throws Freemius_Exception
 */
function srm_plugin_action_links( $links )
{
    $plugin_links = array();
    $link_template = "<a href='%s' title='View Account'><span style='color:white; %s padding: 3px; border-radius:2px;'>%s</span></a>";
    switch ( strtolower( SRM_FREEMIUS::starfish_fs()->get_plan_title() ) ) {
        case "free":
            $plan_badge = sprintf(
                $link_template,
                SRM_PLANS_URL,
                'background-color:#E91E63;',
                SRM_FREEMIUS::starfish_fs()->get_plan_title()
            );
            break;
        case "webmaster":
            $plan_badge = sprintf(
                $link_template,
                SRM_FREEMIUS::starfish_fs()->get_account_url(),
                'background-color:#FFC200;',
                SRM_FREEMIUS::starfish_fs()->get_plan_title()
            );
            break;
        case "marketer":
            $plan_badge = sprintf(
                $link_template,
                SRM_FREEMIUS::starfish_fs()->get_account_url(),
                'background-color:#7ED026;',
                SRM_FREEMIUS::starfish_fs()->get_plan_title()
            );
            break;
        case "business":
            $plan_badge = sprintf(
                $link_template,
                SRM_FREEMIUS::starfish_fs()->get_account_url(),
                'background-color:#00AEEF;',
                SRM_FREEMIUS::starfish_fs()->get_plan_title()
            );
            break;
        default:
            $plan_badge = sprintf(
                $link_template,
                SRM_PLANS_URL,
                'View Account',
                'background-color:#E91E63;',
                'FREE'
            );
    }
    array_push( $plugin_links, $plan_badge );
    array_push( $plugin_links, '<a href="' . admin_url( 'edit.php?post_type=starfish_feedback&page=starfish-settings' ) . '">' . esc_html__( 'Settings', 'starfish' ) . '</a>' );
    return array_merge( $plugin_links, $links );
}

add_filter( 'plugin_action_links_' . SRM_PLUGIN_BASENAME, 'srm_plugin_action_links' );