<?php

/**
 * Setting the template for a single Funnel Custom Post Type
 *
 * @version 1.0
 */

use Twig\TwigFilter;
require_once 'starfish-header.template.php';
require_once SRM_PLUGIN_PATH . '/composer/vendor/autoload.php';

// Do some cool stuff before the funnel is loaded.
do_action( 'starfish_before_funnel_form' );

// Get the current post's ID and template variables.
$funnel_id          = get_the_ID();
$tracking_id        = ( isset( $_GET['id'] ) ) ? esc_html( $_GET['id'] ) : null;
$feedback           = ( isset( $_GET['feedback'] ) ) ? esc_html( $_GET['feedback'] ) : null;
$template_variables = SRM_FUNNELS::srm_get_funnel_variables( $funnel_id, $tracking_id, $feedback );

// Enqueue Scripts
SRM_FUNNELS::srm_enqueue_public_funnel_scripts( $funnel_id );
// Script Localization: Funnel.
wp_localize_script( 'srm_funnel_js_' . $funnel_id, 'funnel_vars', $template_variables );

// Build Template.
$filter_get_icon_url = new TwigFilter( 'attachmentUrl', 'wp_get_attachment_url' );
$twig                = SRM_TWIG::get_twig();
$twig->addFilter( $filter_get_icon_url );
echo $twig->render( 'starfish-funnel-stepper.html.twig', $template_variables );

// Do some cool stuff after the funnel is loaded.
do_action( 'starfish_after_funnel_form' );

require_once 'starfish-footer.template.php';
